Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto
Interface MessageSigner

All Known Subinterfaces:
  StateAwareMessageSigner

All Known Implementing Classes:
  AIMerSigner, DilithiumSigner, FaestSigner, FalconSigner, HAETAESigner, HawkSigner, MayoSigner, MQOMSigner, QRUOVSigner, SDitHSigner, SLHDSASigner, SLHDSASigner, SnovaSigner, SPHINCS256Signer, SQIsignSigner, UOVSigner

public interface MessageSigner

Base interface for a PQC signing algorithm.

Method Summary
`byte[]` | `generateSignature(byte[] message)` sign the passed in message (usually the output of a hash function).
`void` | `init(boolean forSigning, CipherParameters param)` initialise the signer for signature generation or signature verification.
`boolean` | `verifySignature(byte[] message, byte[] signature)` verify the message message against the signature value.

Method Detail

### init

    public void init(boolean forSigning,
                     CipherParameters param)

  initialise the signer for signature generation or signature verification.

  Parameters:
    `forSigning` - true if we are generating a signature, false otherwise.
    `param` - key parameters for signature generation.

### generateSignature

    public byte[] generateSignature(byte[] message)

  sign the passed in message (usually the output of a hash function).

  Parameters:
    `message` - the message to be signed.
  Returns:
    the signature of the message

### verifySignature

    public boolean verifySignature(byte[] message,
                                   byte[] signature)

  verify the message message against the signature value.

  Parameters:
    `message` - the message that was supposed to have been signed.
    `signature` - the signature of the message

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD